//
//  LoginViewController.m
//  iosclient
//
//  Created by 207 on 13-11-12.
//  Copyright (c) 2013年 ios设计. All rights reserved.
//

#import "LoginViewController.h"
#import "MainMenuController.h"
#import "Util.h"
#import "AdminService.h"

@interface LoginViewController ()

@end

@implementation LoginViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    //设置登陆页面的背景图片
    
    _loginView.backgroundColor = [UIColor colorWithPatternImage:[UIImage imageNamed:@"login_bg.jpg"]];
    
    
    UITapGestureRecognizer * tap = [[UITapGestureRecognizer alloc] initWithTarget:self action:@selector(closeKeyboard)];//定义一个手势
    [tap setNumberOfTouchesRequired:1];//触击次数这里设为1
    [self.view addGestureRecognizer:tap];//添加手势到View中
    
    [_password setSecureTextEntry:YES];
    
}


- (void) closeKeyboard {
    //[_username resignFirstResponder];
    //[_password resignFirstResponder];
    [_loginView endEditing:YES];
}


- (IBAction)loginAction:(UIButton *)sender {
    
   
    
    NSString *username = [_username text];
    NSString *password = [_password text];
    
    if([username isEqualToString:@""] || [password isEqualToString:@""]) {
        [[[Util alloc] autorelease]showMessage:@"用户名或者密码不能为空！"];
        if([username isEqualToString:@""])
            [_username becomeFirstResponder];
        else
            [_password becomeFirstResponder];
        
        return;
    }
    //发送网络请求，验证用户名和密码
    AdminService *adminService = [[[AdminService alloc] init] autorelease];
    NSString *result = [adminService CheckLoginUser:username Pass:password];
    if([result isEqualToString:@"0"]) {
        [[[Util alloc] autorelease]showMessage:@"用户名或者密码错误!"];
        [_username setText:@""];
        [_password setText:@""];
        return;
    }
   
    
    MainMenuController *mainMenuController = [[[MainMenuController alloc] init] autorelease];
    UINavigationController *navController = [[[UINavigationController alloc] initWithRootViewController:mainMenuController] autorelease];
    
    [self presentViewController:navController animated:YES completion:nil];
}





- (IBAction)clearAction:(UIButton *)sender {
    [_username setText:@""];
    [_password setText:@""];
}

//隐藏系统状态栏
- (BOOL)prefersStatusBarHidden
{
    return YES;
}


- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)dealloc {
    [_loginView release];
    [_username release];
    [_password release];
    
    [super dealloc];
    
}
@end
