//
//  Util.m
//  iosclient
//
//  Created by 207 on 13-11-13.
//  Copyright (c) 2013年 ios设计. All rights reserved.
//

#import "Util.h"
#import "ASIFormDataRequest.h"

@implementation Util




//获取一个颜色
+ (CGColorRef) GetColorFromRed:(int)red Green:(int)green Blue:(int)blue Alpha:(int)alpha {
    CGFloat r = (CGFloat) red/255.0;
    CGFloat g = (CGFloat) green/255.0;
    CGFloat b = (CGFloat) blue/255.0;
    CGFloat a = (CGFloat) alpha/100.0;
    CGFloat components[4] = {r,g,b,a};
    CGColorSpaceRef colorSpace = CGColorSpaceCreateDeviceRGB();
    
    CGColorRef color = (CGColorRef)CGColorCreate(colorSpace, components);
    CGColorSpaceRelease(colorSpace);
    
    return color;
}

-(void) showMessage:(NSString *)message {
    
    UIAlertView *alert = [[UIAlertView alloc] initWithTitle:message message:nil delegate:self cancelButtonTitle:nil otherButtonTitles:nil, nil];
    
    [alert setBackgroundColor:[UIColor blueColor]];
    
    [alert setContentMode:UIViewContentModeScaleAspectFit];
    
    [alert show];
    
    
    UIActivityIndicatorView *active = [[[UIActivityIndicatorView alloc] initWithActivityIndicatorStyle:UIActivityIndicatorViewStyleWhite] autorelease];
    
    active.center = CGPointMake(alert.bounds.size.width/2, alert.bounds.size.height-40);
    
    [active startAnimating];
    [alert addSubview:active];
    
    [NSTimer scheduledTimerWithTimeInterval:1.5 target:self selector:@selector(endshow:) userInfo:alert repeats:NO];
}

-(void) endshow:(NSTimer *) timer {
    UIAlertView *alert = [timer userInfo];
    
    [alert dismissWithClickedButtonIndex:0 animated:YES];
}



+ (UIAlertView *) showWaitingMessage:(NSString *)message {
    
    UIAlertView *alert = [[UIAlertView alloc] initWithTitle:message message:nil delegate:self cancelButtonTitle:nil otherButtonTitles:nil, nil];
    
    [alert setBackgroundColor:[UIColor blueColor]];
    
    [alert setContentMode:UIViewContentModeScaleAspectFit];
    
    [alert show];
    
    
    UIActivityIndicatorView *active = [[[UIActivityIndicatorView alloc] initWithActivityIndicatorStyle:UIActivityIndicatorViewStyleWhite] autorelease];
    
    active.center = CGPointMake(alert.bounds.size.width/2, alert.bounds.size.height-40);
    
    [active startAnimating];
    [alert addSubview:active];
    
    return alert;
}


 





+ (NSDate *) dateFromString:(NSString *)dateString {
    NSDateFormatter *inputFormatter = [[[NSDateFormatter alloc] init] autorelease];
    //[inputFormatter setLocale:[[[NSLocale alloc] initWithLocaleIdentifier:@"en_US"] autorelease]];
    [inputFormatter setDateFormat:@"yyyy-MM-dd"];
    NSDate* date = [inputFormatter dateFromString:dateString];
    return date;
}

+ (NSDate *) dateFromString2:(NSString *) dateString {
    NSDateFormatter *inputFormatter = [[[NSDateFormatter alloc] init] autorelease];
    //[inputFormatter setLocale:[[[NSLocale alloc] initWithLocaleIdentifier:@"en_US"] autorelease]];
    [inputFormatter setDateFormat:@"yyyy-MM-dd HH:mm:ss"];
    NSDate* date = [inputFormatter dateFromString:dateString];
    return date;}


+ (NSString *) stringFromDate:(NSDate *)date {
    NSDateFormatter* dateFormatter = [[NSDateFormatter alloc]init];
    
    [dateFormatter setDateStyle:NSDateFormatterFullStyle];
    
    [dateFormatter setDateFormat:@"yyyy-MM-dd HH:mm:ss"];
    
    NSString *fixString = [dateFormatter stringFromDate:date];
    
    [dateFormatter release];
    
    
    
    return fixString;
    
}

+ (NSString *) stringFromDate_yyMMdd:(NSDate *) date {
    NSDateFormatter* dateFormatter = [[NSDateFormatter alloc]init];
    
    [dateFormatter setDateStyle:NSDateFormatterFullStyle];
    
    [dateFormatter setDateFormat:@"yyyy-MM-dd"];
    
    NSString *fixString = [dateFormatter stringFromDate:date];
    
    [dateFormatter release];
    
    return fixString;

}


//上传本地文件，传入文件名，返回上传成功后服务器文件路径
+ (NSString *) uploadFile:(NSString *) fileName forKey:(NSString *) key {
    NSString *serverPath = nil;
    NSString *urlString = [basePath stringByAppendingString:@"UpPhotoServlet"];
    NSURL *url = [[NSURL alloc] initWithString:urlString];
    NSArray *paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);
    NSString *documentsDirectory = [paths objectAtIndex:0];
    NSString *imageFile = [documentsDirectory stringByAppendingPathComponent:fileName];
    //通过POST方式同步上传文件*/
    ASIFormDataRequest *request=[ASIFormDataRequest requestWithURL:url];
    [request setFile:imageFile forKey:key];
    
    NSLog(@"上传文件%@:%@",key,imageFile);
    [request setDefaultResponseEncoding:NSUTF8StringEncoding];
    [request setStringEncoding: NSUTF8StringEncoding];
    [request startSynchronous];
    if(![request error]) serverPath = request.responseString;
    else
        NSLog(@"%@",[request error].description);
    NSLog(@"服务器返回路径:%@",serverPath);
    return serverPath;
}





@end
