//
//  MainMenuController.m
//  iosclient
//
//  Created by 207 on 13-11-12.
//  Copyright (c) 2015年 ios设计. All rights reserved.
//

#import "MainMenuController.h"
$First

@interface MainMenuController ()

@end

@implementation MainMenuController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    _menuData = [NSArray arrayWithObjects:$Second @"退出系统", nil];
    
    _menu_tableView.frame = CGRectMake(0, 0, 320, 480);
    /*
    UIView *headerView = [[[UIView alloc] initWithFrame:CGRectMake(0, 0, 320, 40)] autorelease];
    headerView.backgroundColor = [UIColor redColor];
    UILabel *titleLabel = [[[UILabel alloc] initWithFrame:CGRectMake(60, 0, 200, 40)] autorelease];
    titleLabel.text = @"信息管理系统";
    [titleLabel sizeToFit];
    titleLabel.center = CGPointMake(160, 20);
    [headerView addSubview:titleLabel];
     _menu_tableView.tableHeaderView = headerView;
     */
    
    self.title = @"信息管理系统";
    
    _menu_tableView.dataSource = self;
    _menu_tableView.delegate = self;
    
    _menu_tableView.backgroundColor = [UIColor colorWithPatternImage:[UIImage imageNamed:@"menu_bg.jpg"]];
    
    //设置导航控制导航栏背景
    UINavigationBar *navBar = self.navigationController.navigationBar;
    if ([navBar respondsToSelector:@selector(setBackgroundImage:forBarMetrics:)]) {
        [navBar setBackgroundImage:[UIImage imageNamed:@"top_nav.jpg"] forBarMetrics:UIBarMetricsDefault];
        
    }
    
    UIBarButtonItem *backButton = [[UIBarButtonItem alloc] initWithTitle:@"返回"  style:UIBarButtonItemStyleBordered target:nil action:nil];
    self.navigationItem.backBarButtonItem = backButton;
    [backButton release];
}


//隐藏系统状态栏
- (BOOL)prefersStatusBarHidden
{
    return YES;
}




//数据源协议的实现代码
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return [_menuData count];
}


//返回每个cellview
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    static NSString *SimpleTableIdentifier = @"SimpleTableIdentifier";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:
                             SimpleTableIdentifier];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault
                                       reuseIdentifier: SimpleTableIdentifier] autorelease];
    }
    cell.backgroundColor = [UIColor clearColor];
    cell.textLabel.text = [_menuData objectAtIndex:indexPath.row];
    cell.detailTextLabel.Text = @"";
    NSString *iconName = indexPath.row % 2 == 0 ? @"ico00.gif" : @"ico01.gif";
    cell.imageView.image = [UIImage imageNamed:iconName];
    return cell;
}


/*数据代理的实现代码*/
//选择某个菜单功能的实现代码
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath{
$Third
}

// 在这里处理UIAlertView中的按钮被单击的事件
-(void)alertView:(UIAlertView *)alertView clickedButtonAtIndex:(NSInteger)buttonIndex
{
    NSLog(@"buttonIndex is : %i",buttonIndex);
$Fourth
}

//区域头的高度
- (CGFloat)tableView:(UITableView *)tableView heightForHeaderInSection:(NSInteger)section {
    
    return 0.5f;

}

//右侧按钮类型
- (UITableViewCellAccessoryType)tableView:(UITableView *)tableView accessoryTypeForRowWithIndexPath:(NSIndexPath *)indexPath {
    
    if(indexPath.row < [_menuData count] -1 )
        return UITableViewCellAccessoryDisclosureIndicator;
    
    return  UITableViewCellAccessoryNone;
    
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)dealloc {
    [_menu_tableView release];
    [_menuData release];
    [super dealloc];
}
@end
